<?php 
// header("refresh: 30;");
include('../config/database.php');
$archivo_control = 'ultimo_guia.txt';
$ultimo_codigo = trim(file_get_contents($archivo_control));

$query = mysqli_query($mysqli,"SELECT * FROM `guias` WHERE NOT EXISTS (SELECT 1 FROM aux_guias where aux_guias.guia=guias.codigo_guia) AND fecha_registro > '2023-12-31 00:00:00' and guias.usuario_registro!='admin' AND id_guia > '$ultimo_codigo' LIMIT 50");
while($row = mysqli_fetch_array($query)){
    $codguia = $row['codigo_guia'];
    $id = $row['id_guia'];
    file_put_contents('ultimo_guia.txt', $id);
    $info = 'http://129.146.151.238/orion/datos_reporte.php?codguia='.$codguia;
    $data = file_get_contents($info);
    $pedidos = json_decode($data,true);
    
    if($pedidos!=''){
        //var_dump($pedidos); 
        $imp= $pedidos['importe'];
        $div = $pedidos['division'];
        $cdiv = $pedidos['coddiv'];
        $feccap = $pedidos['fecha'];
        $cedi = $pedidos['cedi'];
        $check = mysqli_query($mysqli, "SELECT 1 FROM aux_guias WHERE guia='$codguia' LIMIT 1");
        if(mysqli_num_rows($check) == 0){
            $insert = mysqli_query($mysqli,"INSERT INTO aux_guias VALUES(NULL,'$codguia','$cdiv','$div','$imp','$feccap','$cedi','','','')");
            if(!$query){
                die('Error en la insercion'. mysqli_error($mysqli));
            }
        }
        
        //echo "Registro exitoso!!! ".$codguia."<br>";

    }
}